Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.JavascriptModifyItemInfo Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | JavascriptModifyItemInfo ()
| Constructor. More...

## Static Public Attributes
| e_JavascriptEventTypeAppInit = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeAppInit
| Javascript event: App initialize.
| e_JavascriptEventTypeBatchExec = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeBatchExec
| Javascript event: Batch execute.
| e_JavascriptEventTypeBookmarkMouseUp = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeBookmarkMouseUp
| Javascript event: Bookmark mouse up.
| e_JavascriptEventTypeConsoleExec = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeConsoleExec
| Javascript event: Console execute.
| e_JavascriptEventTypeDocDidprint = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocDidprint
| Javascript event: Document did print.
| e_JavascriptEventTypeDocDidSave = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocDidSave
| Javascript event: Document did save.
| e_JavascriptEventTypeDocOpen = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocOpen
| Javascript event: Document open.
| e_JavascriptEventTypeDocWillClose = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocWillClose
| Javascript event: Document will close.
| e_JavascriptEventTypeDocWillPrint = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocWillPrint
| Javascript event: Document will print.
| e_JavascriptEventTypeDocWillSave = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeDocWillSave
| Javascript event: Document will save.
| e_JavascriptEventTypeExternalExec = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeExternalExec
| Javascript event: External execute.
| e_JavascriptEventTypeFieldBlur = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldBlur
| Javascript event: Form field blur.
| e_JavascriptEventTypeFieldCalculate = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldCalculate
| Javascript event: Form field calculate.
| e_JavascriptEventTypeFieldFocus = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldFocus
| Javascript event: Form field focus.
| e_JavascriptEventTypeFieldFormat = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldFormat
| Javascript event: Form field format.
| e_JavascriptEventTypeFieldKeyStroke = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldKeyStroke
| Javascript event: Form field key stroke.
| e_JavascriptEventTypeFieldMouseDown = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldMouseDown
| Javascript event: Form field mouse down.
| e_JavascriptEventTypeFieldMouseEnter = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldMouseEnter
| Javascript event: Form field mouse enter.
| e_JavascriptEventTypeFieldMouseExit = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldMouseExit
| Javascript event: Form field mouse exit.
| e_JavascriptEventTypeFieldMouseUp = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldMouseUp
| Javascript event: Form field mouse up.
| e_JavascriptEventTypeFieldValidate = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeFieldValidate
| Javascript event: Form field validate.
| e_JavascriptEventTypeHtmlCallback = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeHtmlCallback
| Javascript event: Html callback.
| e_JavascriptEventTypeLinkMouseUp = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeLinkMouseUp
| Javascript event: Link mouse up.
| e_JavascriptEventTypeMediaBlur = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaBlur
| Javascript event: Media blur.
| e_JavascriptEventTypeMediaClose = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaClose
| Javascript event: Media close.
| e_JavascriptEventTypeMediaDone = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaDone
| Javascript event: Media done.
| e_JavascriptEventTypeMediaPlay = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaPlay
| Javascript event: Media play.
| e_JavascriptEventTypeMediaReady = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaReady
| Javascript event: Media ready.
| e_JavascriptEventTypeMediaSeek = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaSeek
| Javascript event: Media seek.
| e_JavascriptEventTypeMediaStop = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMediaStop
| Javascript event: Media stop.
| e_JavascriptEventTypeMenuExec = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeMenuExec
| Javascript event: Menu execute.
| e_JavascriptEventTypePageClose = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypePageClose
| Javascript event: Page close.
| e_JavascriptEventTypePageInView = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypePageInView
| Javascript event: Page inview.
| e_JavascriptEventTypePageOpen = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypePageOpen
| Javascript event: Page open.
| e_JavascriptEventTypePageOutView = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypePageOutView
| Javascript event: Page outview.
| e_JavascriptEventTypeScreenBlur = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenBlur
| Javascript event: Screen blur.
| e_JavascriptEventTypeScreenClose = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenClose
| Javascript event: Screen close.
| e_JavascriptEventTypeScreenFocus = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenFocus
| Javascript event: Screen focus.
| e_JavascriptEventTypeScreenInview = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenInview
| Javascript event: Screen in view.
| e_JavascriptEventTypeScreenMouseDown = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenMouseDown
| Javascript event: Screen mouse down.
| e_JavascriptEventTypeScreenMouseEnter = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenMouseEnter
| Javascript event: Screen mouse enter.
| e_JavascriptEventTypeScreenMouseExit = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenMouseExit
| Javascript event: Screen mouse exit.
| e_JavascriptEventTypeScreenMouseUp = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenMouseUp
| Javascript event: Screen mouse up.
| e_JavascriptEventTypeScreenOpen = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenOpen
| Javascript event: Screen open.
| e_JavascriptEventTypeScreenOutview = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeScreenOutview
| Javascript event: Screen out view.
| e_JavascriptEventTypeUnknown = _fsdk.JavascriptModifyItemInfo_e_JavascriptEventTypeUnknown
| Javascript event: unknown.
| e_JavascriptModifyItemTypeAnnot = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyItemTypeAnnot
| Javascript modify item type: Annot.
| e_JavascriptModifyItemTypeDoc = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyItemTypeDoc
| Javascript modify item type: Doc.
| e_JavascriptModifyItemTypeField = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyItemTypeField
| Javascript modify item type: field.
| e_JavascriptModifyItemTypeNone = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyItemTypeNone
| Javascript modify item type: none.
| e_JavascriptModifyItemTypePage = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyItemTypePage
| Javascript modify item type: Page.
| e_JavascriptModifyPropertyTypeActivated = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeActivated
| Javascript event item type: activated.
| e_JavascriptModifyPropertyTypeAddFileAttachment = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAddFileAttachment
| Javascript event item type: add fileattachment.
| e_JavascriptModifyPropertyTypeAddLink = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAddLink
| Javascript event item type: add link.
| e_JavascriptModifyPropertyTypeAddPageTemplate = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAddPageTemplate
| Javascript event item type: add page template.
| e_JavascriptModifyPropertyTypeAddWatermark = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAddWatermark
| Javascript event item type: add watermark.
| e_JavascriptModifyPropertyTypeAddWeblinks = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAddWeblinks
| Javascript event item type: add web links.
| e_JavascriptModifyPropertyTypeAlignment = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAlignment
| Javascript event item type: alignment.
| e_JavascriptModifyPropertyTypeArrowBegin = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeArrowBegin
| Javascript event item type: arrow begin.
| e_JavascriptModifyPropertyTypeArrowEnd = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeArrowEnd
| Javascript event item type: arrow end.
| e_JavascriptModifyPropertyTypeAttachIcon = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeAttachIcon
| Javascript event item type: attach icon.
| e_JavascriptModifyPropertyTypeBorderColor = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeBorderColor
| Javascript pre-sign item type: border color.
| e_JavascriptModifyPropertyTypeBorderEffectIntensity = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeBorderEffectIntensity
| Javascript event item type: border effect intensity.
| e_JavascriptModifyPropertyTypeBorderEffectStyle = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeBorderEffectStyle
| Javascript event item type: border effect style.
| e_JavascriptModifyPropertyTypeBorderStyle = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeBorderStyle
| Javascript event item type: border style.
| e_JavascriptModifyPropertyTypeButtonAlignX = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonAlignX
| Javascript event item type: button align x.
| e_JavascriptModifyPropertyTypeButtonAlignY = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonAlignY
| Javascript event item type: button align Y.
| e_JavascriptModifyPropertyTypeButtonFitBounds = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonFitBounds
| Javascript event item type: button fit bounds.
| e_JavascriptModifyPropertyTypeButtonPosition = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonPosition
| Javascript event item type: button position.
| e_JavascriptModifyPropertyTypeButtonScaleHow = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonScaleHow
| Javascript event item type: button scale how.
| e_JavascriptModifyPropertyTypeButtonScaleWhen = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonScaleWhen
| Javascript event item type: button scale when.
| e_JavascriptModifyPropertyTypeButtonSetIcon = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeButtonSetIcon
| Javascript event item type: set button icon.
| e_JavascriptModifyPropertyTypeCallout = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeCallout
| Javascript event item type: callout.
| e_JavascriptModifyPropertyTypeCaretSymbol = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeCaretSymbol
| Javascript event item type: caret symbol.
| e_JavascriptModifyPropertyTypeCharLimit = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeCharLimit
| Javascript event item type: char limit.
| e_JavascriptModifyPropertyTypeCheckThisBox = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeCheckThisBox
| Javascript event item type: check this box.
| e_JavascriptModifyPropertyTypeClearItems = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeClearItems
| Javascript event item type: clear items.
| e_JavascriptModifyPropertyTypeComb = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeComb
| Javascript event item type: Comb.
| e_JavascriptModifyPropertyTypeContents = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeContents
| Javascript event item type: contents.
| e_JavascriptModifyPropertyTypeDash = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDash
| Javascript event item type: dash.
| e_JavascriptModifyPropertyTypeDefaultIsChecked = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDefaultIsChecked
| Javascript event item type: default is checked.
| e_JavascriptModifyPropertyTypeDefaultStyle = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDefaultStyle
| Javascript event item type: default style.
| e_JavascriptModifyPropertyTypeDefaultValue = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDefaultValue
| Javascript event item type: default value.
| e_JavascriptModifyPropertyTypeDelay = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDelay
| Javascript event item type: delay.
| e_JavascriptModifyPropertyTypeDeleteAnnot = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDeleteAnnot
| Javascript event item type: delete annot.
| e_JavascriptModifyPropertyTypeDeleteItemAt = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDeleteItemAt
| Javascript event item type: delete item at.
| e_JavascriptModifyPropertyTypeDisplay = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDisplay
| Javascript event item type: display.
| e_JavascriptModifyPropertyTypeDoCaption = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDoCaption
| Javascript event item type: do caption.
| e_JavascriptModifyPropertyTypeDoNotScroll = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDoNotScroll
| Javascript event item type: do not scroll.
| e_JavascriptModifyPropertyTypeDownCaption = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeDownCaption
| Javascript event item type: down caption.
| e_JavascriptModifyPropertyTypeEditable = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeEditable
| Javascript event item type: editable.
| e_JavascriptModifyPropertyTypeFillColor = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeFillColor
| Javascript pre-sign item type: fill color.
| e_JavascriptModifyPropertyTypeFlatDocument = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeFlatDocument
| Javascript event item type: flat document.
| e_JavascriptModifyPropertyTypeGestures = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeGestures
| Javascript event item type: gestures.
| e_JavascriptModifyPropertyTypeHidden = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeHidden
| Javascript event item type: hidden.
| e_JavascriptModifyPropertyTypeHighlight = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeHighlight
| Javascript event item type: highlight.
| e_JavascriptModifyPropertyTypeImport = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeImport
| Javascript event item type: import.
| e_JavascriptModifyPropertyTypeImportAnnotFromXFDF = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeImportAnnotFromXFDF
| Javascript event item type: import annot from xfdf.
| e_JavascriptModifyPropertyTypeImportDataObject = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeImportDataObject
| Javascript event item type: import data object.
| e_JavascriptModifyPropertyTypeInsertFromTemplates = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeInsertFromTemplates
| Javascript event item type: insert from templates.
| e_JavascriptModifyPropertyTypeInsertItemAt = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeInsertItemAt
| Javascript event item type: insert item at.
| e_JavascriptModifyPropertyTypeInsertPages = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeInsertPages
| Javascript event item type: insert pages.
| e_JavascriptModifyPropertyTypeIntent = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeIntent
| Javascript event item type: intent.
| e_JavascriptModifyPropertyTypeLeaderExtend = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeLeaderExtend
| Javascript event item type: leader extend.
| e_JavascriptModifyPropertyTypeLeaderLength = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeLeaderLength
| Javascript event item type: leader length.
| e_JavascriptModifyPropertyTypeLineEnding = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeLineEnding
| Javascript event item type: line ending.
| e_JavascriptModifyPropertyTypeLineWidth = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeLineWidth
| Javascript event item type: line width.
| e_JavascriptModifyPropertyTypeMovePage = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeMovePage
| Javascript event item type: move page.
| e_JavascriptModifyPropertyTypeMultiline = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeMultiline
| Javascript event item type: multiline.
| e_JavascriptModifyPropertyTypeMultipleSelection = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeMultipleSelection
| Javascript event item type: multiple selection.
| e_JavascriptModifyPropertyTypeNewPage = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeNewPage
| Javascript event item type: new page.
| e_JavascriptModifyPropertyTypeNone = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeNone
| Javascript pre-sign item type: none.
| e_JavascriptModifyPropertyTypeNormalCaption = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeNormalCaption
| Javascript event item type: normal caption.
| e_JavascriptModifyPropertyTypeNoteIcon = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeNoteIcon
| Javascript event item type: note icon.
| e_JavascriptModifyPropertyTypeNotSpellCheck = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeNotSpellCheck
| Javascript event item type: not spell check.
| e_JavascriptModifyPropertyTypeOpacity = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeOpacity
| Javascript event item type: opacity.
| e_JavascriptModifyPropertyTypePageRotations = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypePageRotations
| Javascript event item type: page rotations.
| e_JavascriptModifyPropertyTypePassword = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypePassword
| Javascript event item type: password.
| e_JavascriptModifyPropertyTypePoints = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypePoints
| Javascript event item type: points.
| e_JavascriptModifyPropertyTypeQuads = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeQuads
| Javascript event item type: quadspoints.
| e_JavascriptModifyPropertyTypeRect = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRect
| Javascript event item type: rect.
| e_JavascriptModifyPropertyTypeRemoveDataObject = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRemoveDataObject
| Javascript event item type: remove data object.
| e_JavascriptModifyPropertyTypeRemoveLinks = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRemoveLinks
| Javascript event item type: remove links.
| e_JavascriptModifyPropertyTypeRemoveTemplate = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRemoveTemplate
| Javascript event item type: remove template.
| e_JavascriptModifyPropertyTypeRemoveWeblinks = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRemoveWeblinks
| Javascript event item type: remove web links.
| e_JavascriptModifyPropertyTypeReplacePages = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeReplacePages
| Javascript event item type: replace pages.
| e_JavascriptModifyPropertyTypeRequired = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRequired
| Javascript event item type: required.
| e_JavascriptModifyPropertyTypeResizePage = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeResizePage
| Javascript event item type: resize page.
| e_JavascriptModifyPropertyTypeRichContents = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRichContents
| Javascript event item type: rich contents.
| e_JavascriptModifyPropertyTypeRichDefaults = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRichDefaults
| Javascript event item type: rich defaults.
| e_JavascriptModifyPropertyTypeRichText = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRichText
| Javascript event item type: rich text.
| e_JavascriptModifyPropertyTypeRichValue = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRichValue
| Javascript event item type: rich value.
| e_JavascriptModifyPropertyTypeRolloverCaption = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRolloverCaption
| Javascript event item type: rollover caption.
| e_JavascriptModifyPropertyTypeRotation = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRotation
| Javascript event item type: rotation.
| e_JavascriptModifyPropertyTypeRsetAllForms = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRsetAllForms
| Javascript event item type: reset all forms.
| e_JavascriptModifyPropertyTypeRsetForms = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRsetForms
| Javascript event item type: reset forms.
| e_JavascriptModifyPropertyTypeRuntimeHighlight = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRuntimeHighlight
| Javascript event item type: runtime highlight.
| e_JavascriptModifyPropertyTypeRuntimeHighlightColor = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeRuntimeHighlightColor
| Javascript event item type: runtime highlight color.
| e_JavascriptModifyPropertyTypeSelectChange = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSelectChange
| Javascript event item type: select change.
| e_JavascriptModifyPropertyTypeSetItems = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSetItems
| Javascript event item type: set items.
| e_JavascriptModifyPropertyTypeSetPageTemplateVisible = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSetPageTemplateVisible
| Javascript event item type: set page template visible.
| e_JavascriptModifyPropertyTypeSoundIcon = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSoundIcon
| Javascript event item type: sound icon.
| e_JavascriptModifyPropertyTypeSpawnPageFromTemplate = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSpawnPageFromTemplate
| Javascript event item type: spawn page from template.
| e_JavascriptModifyPropertyTypeSubject = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeSubject
| Javascript event item type: subject.
| e_JavascriptModifyPropertyTypeTextColor = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeTextColor
| Javascript event item type: text color.
| e_JavascriptModifyPropertyTypeTextFont = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeTextFont
| Javascript event item type: text font.
| e_JavascriptModifyPropertyTypeTextSize = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeTextSize
| Javascript event item type: text size.
| e_JavascriptModifyPropertyTypeTitle = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeTitle
| Javascript event item type: title.
| e_JavascriptModifyPropertyTypeToggleNoView = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeToggleNoView
| Javascript event item type: toggle no view.
| e_JavascriptModifyPropertyTypeUserName = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeUserName
| Javascript event item type: user name.
| e_JavascriptModifyPropertyTypeValue = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeValue
| Javascript event item type: value.
| e_JavascriptModifyPropertyTypeVertices = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyPropertyTypeVertices
| Javascript event item type: vertices.
| e_JavascriptModifyTypeAdd = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyTypeAdd
| Javascript modify type: add.
| e_JavascriptModifyTypeDelete = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyTypeDelete
| Javascript modify type: Delete.
| e_JavascriptModifyTypeModify = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyTypeModify
| Javascript modify type: modify.
| e_JavascriptModifyTypeNone = _fsdk.JavascriptModifyItemInfo_e_JavascriptModifyTypeNone
| Javascript modify type: none.
| event_type = _fsdk.JavascriptModifyItemInfo_event_type
| The javascript event type. Please refer to values starting from FoxitPDFSDKPython2.JavascriptModifyItemInfo.e_JavascriptEventTypeUnknown and this should be one of these values.
| field_control_index = _fsdk.JavascriptModifyItemInfo_field_control_index
| The control index of form field.
| field_or_annot_name = _fsdk.JavascriptModifyItemInfo_field_or_annot_name
| The form field full name or annot subtype name.
| modify_item_type = _fsdk.JavascriptModifyItemInfo_modify_item_type
| The modify item type. Please refer to values starting from FoxitPDFSDKPython2.JavascriptModifyItemInfo.e_JavascriptModifyItemTypeNone and this should be one of these values.
| modify_property_type = _fsdk.JavascriptModifyItemInfo_modify_property_type
| The modify property type. Please refer to values starting from FoxitPDFSDKPython2.JavascriptModifyItemInfo.e_JavascriptModifyPropertyTypeNone and this should be one of these values.
| modify_type = _fsdk.JavascriptModifyItemInfo_modify_type
| The modify type. Please refer to values starting from FoxitPDFSDKPython2.JavascriptModifyItemInfo.e_JavascriptModifyTypeNone and this should be one of these values.
| new_value = _fsdk.JavascriptModifyItemInfo_new_value
| The new value.
| old_value = _fsdk.JavascriptModifyItemInfo_old_value
| The old value.
| page_index = _fsdk.JavascriptModifyItemInfo_page_index
| The page index.

## Detailed Description

This class represents the javascript modify item information

## Constructor & Destructor Documentation

## ◆ JavascriptModifyItemInfo()

def FoxitPDFSDKPython2.JavascriptModifyItemInfo.JavascriptModifyItemInfo | ( |  | ) |

Constructor.

Constructor, with parameters.

Constructor, with another javascript modify item information object.

Parameters

  [in] | other | Another javascript modify item information object.
  [in] | event_type | The javascript event type.
  [in] | page_index | The modify page index.
  [in] | field_control_index | The control index of form field.
  [in] | modify_item_type | The modify item type.
  [in] | modify_type | The modify type.
  [in] | modify_property_type | The modify property type.
  [in] | field_or_annot_name | The form field full name or annot subtype name.
  [in] | new_value | The new value.
  [in] | old_value | The old value.